---------------------
PatchSet 7042 
Date: 2005/09/20 10:07:27
Author: serassio
Branch: nt-2_5
Tag: (none) 
Log:
Added support for Windows code name "Longhorn".

Members: 
	src/dns_internal.c:1.15.14.11->1.15.14.12 
	src/enums.h:1.29.6.16->1.29.6.17 
	src/win32.c:1.5.14.23->1.5.14.24 

Index: squid/src/dns_internal.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/dns_internal.c,v
retrieving revision 1.15.14.11
retrieving revision 1.15.14.12
diff -u -r1.15.14.11 -r1.15.14.12
--- squid/src/dns_internal.c	13 May 2005 14:24:13 -0000	1.15.14.11
+++ squid/src/dns_internal.c	20 Sep 2005 10:07:27 -0000	1.15.14.12
@@ -1,6 +1,6 @@
 
 /*
- * $Id: dns_internal.c,v 1.15.14.11 2005/05/13 14:24:13 serassio Exp $
+ * $Id: dns_internal.c,v 1.15.14.12 2005/09/20 10:07:27 serassio Exp $
  *
  * DEBUG: section 78    DNS lookups; interacts with lib/rfc1035.c
  * AUTHOR: Duane Wessels
@@ -244,6 +244,7 @@
     case _WIN_OS_WIN2K:
     case _WIN_OS_WINXP:
     case _WIN_OS_WINNET:
+    case _WIN_OS_WINLON:
 	/* get nameservers from the Windows 2000 registry */
 	/* search all interfaces for DNS server addresses */
 	if (RegOpenKey(HKEY_LOCAL_MACHINE,
Index: squid/src/enums.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/enums.h,v
retrieving revision 1.29.6.16
retrieving revision 1.29.6.17
diff -u -r1.29.6.16 -r1.29.6.17
--- squid/src/enums.h	11 Sep 2005 08:25:22 -0000	1.29.6.16
+++ squid/src/enums.h	20 Sep 2005 10:07:27 -0000	1.29.6.17
@@ -1,6 +1,6 @@
 
 /*
- * $Id: enums.h,v 1.29.6.16 2005/09/11 08:25:22 serassio Exp $
+ * $Id: enums.h,v 1.29.6.17 2005/09/20 10:07:27 serassio Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -735,7 +735,8 @@
     _WIN_OS_WINNT,
     _WIN_OS_WIN2K,
     _WIN_OS_WINXP,
-    _WIN_OS_WINNET
+    _WIN_OS_WINNET,
+    _WIN_OS_WINLON
 };
 
 #endif
Index: squid/src/win32.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/win32.c,v
retrieving revision 1.5.14.23
retrieving revision 1.5.14.24
diff -u -r1.5.14.23 -r1.5.14.24
--- squid/src/win32.c	21 Aug 2005 10:26:12 -0000	1.5.14.23
+++ squid/src/win32.c	20 Sep 2005 10:07:27 -0000	1.5.14.24
@@ -252,6 +252,10 @@
 	    WIN32_OS_string = xstrdup("Windows Server 2003");
 	    return _WIN_OS_WINNET;
 	}
+	if ((osvi.dwMajorVersion == 6) && (osvi.dwMinorVersion == 0)) {
+	    WIN32_OS_string = xstrdup("Windows code name \"Longhorn\"");
+	    return _WIN_OS_WINLON;
+	}
 	break;
     case VER_PLATFORM_WIN32_WINDOWS:
 	if ((osvi.dwMajorVersion == 4) && (osvi.dwMinorVersion == 0)) {
@@ -598,8 +602,7 @@
 	    NULL,				    /* LocalSystem account    */
 	    NULL);				    /* no password            */
 	if (schService) {
-	    if ((WIN32_OS_version == _WIN_OS_WIN2K) || (WIN32_OS_version == _WIN_OS_WINXP)
-		|| (WIN32_OS_version == _WIN_OS_WINNET))
+	    if (WIN32_OS_version > _WIN_OS_WINNT)
 	    {
 		HMODULE ADVAPI32Handle;
 		PFChangeServiceConfig2 ChangeServiceConfig2;
